package com.mall.common.exception;

import com.mall.common.domain.vo.result.ResultCodeEnum;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

@NoArgsConstructor
@Getter
@ToString
@Slf4j
public class MallException extends RuntimeException {
    private Integer code;
    private String message;

    public MallException(Integer code, String message) {
        super(message);
        this.code = code;
        this.message = message;
    }

    public MallException(String message) {
        super(message);
        this.message = message;
    }

    public MallException(ResultCodeEnum codeEnum) {
        super(codeEnum.getMessage());
        this.code = codeEnum.getCode();
        this.message = codeEnum.getMessage();
    }

    public MallException(String message, Exception exception) {
        super(message);
        this.message = message;
        log.error(message, exception);
    }

}
