package com.mall.coupon.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "CouponSpuRelationDTO对象", title = "优惠券与产品关联", description = "优惠券与产品关联的DTO对象")
public class CouponSpuRelationDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "couponId", title = "优惠券id")
    private Long couponId;

    @Schema(name = "spuId", title = "spu_id")
    private Long spuId;

    @Schema(name = "spuName", title = "spu_name")
    private String spuName;

}