package com.mall.coupon.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "HomeAdvDTO对象", title = "首页轮播广告", description = "首页轮播广告的DTO对象")
public class HomeAdvDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "name", title = "名字")
    private String name;

    @Schema(name = "pic", title = "图片地址")
    private String pic;

    @Schema(name = "startTime", title = "开始时间")
    private LocalDateTime startTime;

    @Schema(name = "endTime", title = "结束时间")
    private LocalDateTime endTime;

    @Schema(name = "status", title = "状态")
    private Boolean status;

    @Schema(name = "clickCount", title = "点击数")
    private Integer clickCount;

    @Schema(name = "url", title = "广告详情连接地址")
    private String url;

    @Schema(name = "note", title = "备注")
    private String note;

    @Schema(name = "sort", title = "排序")
    private Integer sort;

    @Schema(name = "publisherId", title = "发布者")
    private Long publisherId;

    @Schema(name = "authId", title = "审核者")
    private Long authId;

}