package com.mall.coupon.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "HomeSubjectDTO对象", title = "首页专题表【jd首页下面很多专题，每个专题链接新的页面，展示专题商品信息】", description = "首页专题表【jd首页下面很多专题，每个专题链接新的页面，展示专题商品信息】的DTO对象")
public class HomeSubjectDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "name", title = "专题名字")
    private String name;

    @Schema(name = "title", title = "专题标题")
    private String title;

    @Schema(name = "subTitle", title = "专题副标题")
    private String subTitle;

    @Schema(name = "status", title = "显示状态")
    private Boolean status;

    @Schema(name = "url", title = "详情连接")
    private String url;

    @Schema(name = "sort", title = "排序")
    private Integer sort;

    @Schema(name = "img", title = "专题图片地址")
    private String img;

}