package com.mall.coupon.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "MemberPriceDTO对象", title = "商品会员价格", description = "商品会员价格的DTO对象")
public class MemberPriceDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "skuId", title = "sku_id")
    private Long skuId;

    @Schema(name = "memberLevelId", title = "会员等级id")
    private Long memberLevelId;

    @Schema(name = "memberLevelName", title = "会员等级名")
    private String memberLevelName;

    @Schema(name = "memberPrice", title = "会员对应价格")
    private BigDecimal memberPrice;

    @Schema(name = "addOther", title = "可否叠加其他优惠[0-不可叠加优惠，1-可叠加]")
    private Boolean addOther;

}