package com.mall.coupon.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "SeckillPromotionDTO对象", title = "秒杀活动", description = "秒杀活动的DTO对象")
public class SeckillPromotionDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "title", title = "活动标题")
    private String title;

    @Schema(name = "startTime", title = "开始日期")
    private LocalDateTime startTime;

    @Schema(name = "endTime", title = "结束日期")
    private LocalDateTime endTime;

    @Schema(name = "status", title = "上下线状态")
    private Integer status;

    @Schema(name = "createTime", title = "创建时间")
    private LocalDateTime createTime;

    @Schema(name = "userId", title = "创建人")
    private Long userId;

}