package com.mall.coupon.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "SeckillSessionDTO对象", title = "秒杀活动场次", description = "秒杀活动场次的DTO对象")
public class SeckillSessionDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "name", title = "场次名称")
    private String name;

    @Schema(name = "startTime", title = "每日开始时间")
    private LocalDateTime startTime;

    @Schema(name = "endTime", title = "每日结束时间")
    private LocalDateTime endTime;

    @Schema(name = "status", title = "启用状态")
    private Boolean status;

    @Schema(name = "createTime", title = "创建时间")
    private LocalDateTime createTime;

}