package com.mall.coupon.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "SeckillSkuNoticeDTO对象", title = "秒杀商品通知订阅", description = "秒杀商品通知订阅的DTO对象")
public class SeckillSkuNoticeDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "memberId", title = "member_id")
    private Long memberId;

    @Schema(name = "skuId", title = "sku_id")
    private Long skuId;

    @Schema(name = "sessionId", title = "活动场次id")
    private Long sessionId;

    @Schema(name = "subcribeTime", title = "订阅时间")
    private LocalDateTime subcribeTime;

    @Schema(name = "sendTime", title = "发送时间")
    private LocalDateTime sendTime;

    @Schema(name = "noticeType", title = "通知方式[0-短信，1-邮件]")
    private Boolean noticeType;

}