package com.mall.coupon.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "SeckillSkuRelationDTO对象", title = "秒杀活动商品关联", description = "秒杀活动商品关联的DTO对象")
public class SeckillSkuRelationDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "promotionId", title = "活动id")
    private Long promotionId;

    @Schema(name = "promotionSessionId", title = "活动场次id")
    private Long promotionSessionId;

    @Schema(name = "skuId", title = "商品id")
    private Long skuId;

    @Schema(name = "seckillPrice", title = "秒杀价格")
    private BigDecimal seckillPrice;

    @Schema(name = "seckillCount", title = "秒杀总量")
    private Integer seckillCount;

    @Schema(name = "seckillLimit", title = "每人限购数量")
    private Integer seckillLimit;

    @Schema(name = "seckillSort", title = "排序")
    private Integer seckillSort;

}