package com.mall.coupon.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "SkuFullReductionDTO对象", title = "商品满减信息", description = "商品满减信息的DTO对象")
public class SkuFullReductionDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "skuId", title = "spu_id")
    private Long skuId;

    @Schema(name = "fullPrice", title = "满多少")
    private BigDecimal fullPrice;

    @Schema(name = "reducePrice", title = "减多少")
    private BigDecimal reducePrice;

    @Schema(name = "addOther", title = "是否参与其他优惠")
    private Boolean addOther;

}