package com.mall.coupon.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "SkuLadderDTO对象", title = "商品阶梯价格", description = "商品阶梯价格的DTO对象")
public class SkuLadderDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "skuId", title = "spu_id")
    private Long skuId;

    @Schema(name = "fullCount", title = "满几件")
    private Integer fullCount;

    @Schema(name = "discount", title = "打几折")
    private BigDecimal discount;

    @Schema(name = "price", title = "折后价")
    private BigDecimal price;

    @Schema(name = "addOther", title = "是否叠加其他优惠[0-不可叠加，1-可叠加]")
    private Boolean addOther;

}