package com.mall.coupon.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("sms_coupon_history")
@Schema(name = "CouponHistory对象", title = "优惠券领取历史记录", description = "优惠券领取历史记录的实体类对象")
public class CouponHistory {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "couponId", title = "优惠券id")
    private Long couponId;

    @Schema(name = "memberId", title = "会员id")
    private Long memberId;

    @Schema(name = "memberNickName", title = "会员名字")
    private String memberNickName;

    @Schema(name = "getType", title = "获取方式[0->后台赠送；1->主动领取]")
    private Boolean getType;

    @Schema(name = "createTime", title = "创建时间")
    private LocalDateTime createTime;

    @Schema(name = "useType", title = "使用状态[0->未使用；1->已使用；2->已过期]")
    private Boolean useType;

    @Schema(name = "useTime", title = "使用时间")
    private LocalDateTime useTime;

    @Schema(name = "orderId", title = "订单id")
    private Long orderId;

    @Schema(name = "orderSn", title = "订单号")
    private Long orderSn;

}