package com.mall.coupon.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("sms_home_subject")
@Schema(name = "HomeSubject对象", title = "首页专题表【jd首页下面很多专题，每个专题链接新的页面，展示专题商品信息】", description = "首页专题表【jd首页下面很多专题，每个专题链接新的页面，展示专题商品信息】的实体类对象")
public class HomeSubject {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "name", title = "专题名字")
    private String name;

    @Schema(name = "title", title = "专题标题")
    private String title;

    @Schema(name = "subTitle", title = "专题副标题")
    private String subTitle;

    @Schema(name = "status", title = "显示状态")
    private Boolean status;

    @Schema(name = "url", title = "详情连接")
    private String url;

    @Schema(name = "sort", title = "排序")
    private Integer sort;

    @Schema(name = "img", title = "专题图片地址")
    private String img;

}