package com.mall.coupon.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("sms_member_price")
@Schema(name = "MemberPrice对象", title = "商品会员价格", description = "商品会员价格的实体类对象")
public class MemberPrice {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "skuId", title = "sku_id")
    private Long skuId;

    @Schema(name = "memberLevelId", title = "会员等级id")
    private Long memberLevelId;

    @Schema(name = "memberLevelName", title = "会员等级名")
    private String memberLevelName;

    @Schema(name = "memberPrice", title = "会员对应价格")
    private BigDecimal memberPrice;

    @Schema(name = "addOther", title = "可否叠加其他优惠[0-不可叠加优惠，1-可叠加]")
    private Boolean addOther;

}