package com.mall.coupon.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("sms_seckill_session")
@Schema(name = "SeckillSession对象", title = "秒杀活动场次", description = "秒杀活动场次的实体类对象")
public class SeckillSession {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "name", title = "场次名称")
    private String name;

    @Schema(name = "startTime", title = "每日开始时间")
    private LocalDateTime startTime;

    @Schema(name = "endTime", title = "每日结束时间")
    private LocalDateTime endTime;

    @Schema(name = "status", title = "启用状态")
    private Boolean status;

    @Schema(name = "createTime", title = "创建时间")
    private LocalDateTime createTime;

}