package com.mall.coupon.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("sms_seckill_sku_notice")
@Schema(name = "SeckillSkuNotice对象", title = "秒杀商品通知订阅", description = "秒杀商品通知订阅的实体类对象")
public class SeckillSkuNotice {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "memberId", title = "member_id")
    private Long memberId;

    @Schema(name = "skuId", title = "sku_id")
    private Long skuId;

    @Schema(name = "sessionId", title = "活动场次id")
    private Long sessionId;

    @Schema(name = "subcribeTime", title = "订阅时间")
    private LocalDateTime subcribeTime;

    @Schema(name = "sendTime", title = "发送时间")
    private LocalDateTime sendTime;

    @Schema(name = "noticeType", title = "通知方式[0-短信，1-邮件]")
    private Boolean noticeType;

}