package com.mall.coupon.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("sms_seckill_sku_relation")
@Schema(name = "SeckillSkuRelation对象", title = "秒杀活动商品关联", description = "秒杀活动商品关联的实体类对象")
public class SeckillSkuRelation {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "promotionId", title = "活动id")
    private Long promotionId;

    @Schema(name = "promotionSessionId", title = "活动场次id")
    private Long promotionSessionId;

    @Schema(name = "skuId", title = "商品id")
    private Long skuId;

    @Schema(name = "seckillPrice", title = "秒杀价格")
    private BigDecimal seckillPrice;

    @Schema(name = "seckillCount", title = "秒杀总量")
    private Integer seckillCount;

    @Schema(name = "seckillLimit", title = "每人限购数量")
    private Integer seckillLimit;

    @Schema(name = "seckillSort", title = "排序")
    private Integer seckillSort;

}