package com.mall.coupon.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("sms_sku_full_reduction")
@Schema(name = "SkuFullReduction对象", title = "商品满减信息", description = "商品满减信息的实体类对象")
public class SkuFullReduction {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "skuId", title = "spu_id")
    private Long skuId;

    @Schema(name = "fullPrice", title = "满多少")
    private BigDecimal fullPrice;

    @Schema(name = "reducePrice", title = "减多少")
    private BigDecimal reducePrice;

    @Schema(name = "addOther", title = "是否参与其他优惠")
    private Boolean addOther;

}