package com.mall.coupon.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("sms_sku_ladder")
@Schema(name = "SkuLadder对象", title = "商品阶梯价格", description = "商品阶梯价格的实体类对象")
public class SkuLadder {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "skuId", title = "spu_id")
    private Long skuId;

    @Schema(name = "fullCount", title = "满几件")
    private Integer fullCount;

    @Schema(name = "discount", title = "打几折")
    private BigDecimal discount;

    @Schema(name = "price", title = "折后价")
    private BigDecimal price;

    @Schema(name = "addOther", title = "是否叠加其他优惠[0-不可叠加，1-可叠加]")
    private Boolean addOther;

}