package com.mall.coupon.domain.vo;

import java.util.Date;
import java.math.BigDecimal;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "CouponHistoryVO对象", title = "优惠券领取历史记录", description = "优惠券领取历史记录的VO对象")
public class CouponHistoryVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "couponId", title = "优惠券id")
    private Long couponId;

    @Schema(name = "memberId", title = "会员id")
    private Long memberId;

    @Schema(name = "memberNickName", title = "会员名字")
    private String memberNickName;

    @Schema(name = "getType", title = "获取方式[0->后台赠送；1->主动领取]")
    private Boolean getType;

    @Schema(name = "createTime", title = "创建时间")
    private LocalDateTime createTime;

    @Schema(name = "useType", title = "使用状态[0->未使用；1->已使用；2->已过期]")
    private Boolean useType;

    @Schema(name = "useTime", title = "使用时间")
    private LocalDateTime useTime;

    @Schema(name = "orderId", title = "订单id")
    private Long orderId;

    @Schema(name = "orderSn", title = "订单号")
    private Long orderSn;

}

