package com.mall.coupon.domain.vo;

import java.util.Date;
import java.math.BigDecimal;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "SkuLadderVO对象", title = "商品阶梯价格", description = "商品阶梯价格的VO对象")
public class SkuLadderVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "skuId", title = "spu_id")
    private Long skuId;

    @Schema(name = "fullCount", title = "满几件")
    private Integer fullCount;

    @Schema(name = "discount", title = "打几折")
    private BigDecimal discount;

    @Schema(name = "price", title = "折后价")
    private BigDecimal price;

    @Schema(name = "addOther", title = "是否叠加其他优惠[0-不可叠加，1-可叠加]")
    private Boolean addOther;

}

