package com.mall.coupon.domain.vo;

import java.util.Date;
import java.math.BigDecimal;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "SpuBoundsVO对象", title = "商品spu积分设置", description = "商品spu积分设置的VO对象")
public class SpuBoundsVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "spuId", title = "")
    private Long spuId;

    @Schema(name = "growBounds", title = "成长积分")
    private BigDecimal growBounds;

    @Schema(name = "buyBounds", title = "购物积分")
    private BigDecimal buyBounds;

    @Schema(name = "work", title = "优惠生效情况[1111（四个状态位，从右到左）;0 - 无优惠，成长积分是否赠送;1 - 无优惠，购物积分是否赠送;2 - 有优惠，成长积分是否赠送;3 - 有优惠，购物积分是否赠送【状态位0：不赠送，1：赠送】]")
    private Boolean work;

}

