package com.mall.coupon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.coupon.domain.dto.CouponHistoryDto;
import com.mall.coupon.domain.entity.CouponHistory;
import com.mall.coupon.domain.vo.CouponHistoryVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 优惠券领取历史记录 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
@Mapper
public interface CouponHistoryMapper extends BaseMapper<CouponHistory> {

    /**
     * * 分页查询优惠券领取历史记录内容
     *
     * @param pageParams 优惠券领取历史记录分页参数
     * @param dto        优惠券领取历史记录查询表单
     * @return 优惠券领取历史记录分页结果
     */
    IPage<CouponHistoryVo> selectListByPage(@Param("page") Page<CouponHistory> pageParams, @Param("dto") CouponHistoryDto dto);

}
