package com.mall.coupon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.coupon.domain.dto.CouponDto;
import com.mall.coupon.domain.entity.Coupon;
import com.mall.coupon.domain.vo.CouponVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 优惠券信息 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
@Mapper
public interface CouponMapper extends BaseMapper<Coupon> {

    /**
     * * 分页查询优惠券信息内容
     *
     * @param pageParams 优惠券信息分页参数
     * @param dto        优惠券信息查询表单
     * @return 优惠券信息分页结果
     */
    IPage<CouponVo> selectListByPage(@Param("page") Page<Coupon> pageParams, @Param("dto") CouponDto dto);

}
