package com.mall.coupon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.coupon.domain.dto.CouponSpuCategoryRelationDto;
import com.mall.coupon.domain.entity.CouponSpuCategoryRelation;
import com.mall.coupon.domain.vo.CouponSpuCategoryRelationVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 优惠券分类关联 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
@Mapper
public interface CouponSpuCategoryRelationMapper extends BaseMapper<CouponSpuCategoryRelation> {

    /**
     * * 分页查询优惠券分类关联内容
     *
     * @param pageParams 优惠券分类关联分页参数
     * @param dto        优惠券分类关联查询表单
     * @return 优惠券分类关联分页结果
     */
    IPage<CouponSpuCategoryRelationVo> selectListByPage(@Param("page") Page<CouponSpuCategoryRelation> pageParams, @Param("dto") CouponSpuCategoryRelationDto dto);

}
