package com.mall.coupon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.coupon.domain.dto.CouponSpuRelationDto;
import com.mall.coupon.domain.entity.CouponSpuRelation;
import com.mall.coupon.domain.vo.CouponSpuRelationVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 优惠券与产品关联 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
@Mapper
public interface CouponSpuRelationMapper extends BaseMapper<CouponSpuRelation> {

    /**
     * * 分页查询优惠券与产品关联内容
     *
     * @param pageParams 优惠券与产品关联分页参数
     * @param dto        优惠券与产品关联查询表单
     * @return 优惠券与产品关联分页结果
     */
    IPage<CouponSpuRelationVo> selectListByPage(@Param("page") Page<CouponSpuRelation> pageParams, @Param("dto") CouponSpuRelationDto dto);

}
