package com.mall.coupon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.coupon.domain.dto.HomeAdvDto;
import com.mall.coupon.domain.entity.HomeAdv;
import com.mall.coupon.domain.vo.HomeAdvVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 首页轮播广告 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
@Mapper
public interface HomeAdvMapper extends BaseMapper<HomeAdv> {

    /**
     * * 分页查询首页轮播广告内容
     *
     * @param pageParams 首页轮播广告分页参数
     * @param dto        首页轮播广告查询表单
     * @return 首页轮播广告分页结果
     */
    IPage<HomeAdvVo> selectListByPage(@Param("page") Page<HomeAdv> pageParams, @Param("dto") HomeAdvDto dto);

}
