package com.mall.coupon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.coupon.domain.dto.HomeSubjectDto;
import com.mall.coupon.domain.entity.HomeSubject;
import com.mall.coupon.domain.vo.HomeSubjectVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 首页专题表【jd首页下面很多专题，每个专题链接新的页面，展示专题商品信息】 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
@Mapper
public interface HomeSubjectMapper extends BaseMapper<HomeSubject> {

    /**
     * * 分页查询首页专题表【jd首页下面很多专题，每个专题链接新的页面，展示专题商品信息】内容
     *
     * @param pageParams 首页专题表【jd首页下面很多专题，每个专题链接新的页面，展示专题商品信息】分页参数
     * @param dto        首页专题表【jd首页下面很多专题，每个专题链接新的页面，展示专题商品信息】查询表单
     * @return 首页专题表【jd首页下面很多专题，每个专题链接新的页面，展示专题商品信息】分页结果
     */
    IPage<HomeSubjectVo> selectListByPage(@Param("page") Page<HomeSubject> pageParams, @Param("dto") HomeSubjectDto dto);

}
