package com.mall.coupon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.coupon.domain.dto.HomeSubjectSpuDto;
import com.mall.coupon.domain.entity.HomeSubjectSpu;
import com.mall.coupon.domain.vo.HomeSubjectSpuVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 专题商品 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
@Mapper
public interface HomeSubjectSpuMapper extends BaseMapper<HomeSubjectSpu> {

    /**
     * * 分页查询专题商品内容
     *
     * @param pageParams 专题商品分页参数
     * @param dto        专题商品查询表单
     * @return 专题商品分页结果
     */
    IPage<HomeSubjectSpuVo> selectListByPage(@Param("page") Page<HomeSubjectSpu> pageParams, @Param("dto") HomeSubjectSpuDto dto);

}
