package com.mall.coupon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.coupon.domain.dto.MemberPriceDto;
import com.mall.coupon.domain.entity.MemberPrice;
import com.mall.coupon.domain.vo.MemberPriceVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 商品会员价格 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
@Mapper
public interface MemberPriceMapper extends BaseMapper<MemberPrice> {

    /**
     * * 分页查询商品会员价格内容
     *
     * @param pageParams 商品会员价格分页参数
     * @param dto        商品会员价格查询表单
     * @return 商品会员价格分页结果
     */
    IPage<MemberPriceVo> selectListByPage(@Param("page") Page<MemberPrice> pageParams, @Param("dto") MemberPriceDto dto);

}
