package com.mall.coupon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.coupon.domain.dto.SeckillPromotionDto;
import com.mall.coupon.domain.entity.SeckillPromotion;
import com.mall.coupon.domain.vo.SeckillPromotionVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 秒杀活动 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
@Mapper
public interface SeckillPromotionMapper extends BaseMapper<SeckillPromotion> {

    /**
     * * 分页查询秒杀活动内容
     *
     * @param pageParams 秒杀活动分页参数
     * @param dto        秒杀活动查询表单
     * @return 秒杀活动分页结果
     */
    IPage<SeckillPromotionVo> selectListByPage(@Param("page") Page<SeckillPromotion> pageParams, @Param("dto") SeckillPromotionDto dto);

}
