package com.mall.coupon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.coupon.domain.dto.SeckillSessionDto;
import com.mall.coupon.domain.entity.SeckillSession;
import com.mall.coupon.domain.vo.SeckillSessionVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 秒杀活动场次 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
@Mapper
public interface SeckillSessionMapper extends BaseMapper<SeckillSession> {

    /**
     * * 分页查询秒杀活动场次内容
     *
     * @param pageParams 秒杀活动场次分页参数
     * @param dto        秒杀活动场次查询表单
     * @return 秒杀活动场次分页结果
     */
    IPage<SeckillSessionVo> selectListByPage(@Param("page") Page<SeckillSession> pageParams, @Param("dto") SeckillSessionDto dto);

}
