package com.mall.coupon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.coupon.domain.dto.SeckillSkuNoticeDto;
import com.mall.coupon.domain.entity.SeckillSkuNotice;
import com.mall.coupon.domain.vo.SeckillSkuNoticeVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 秒杀商品通知订阅 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
@Mapper
public interface SeckillSkuNoticeMapper extends BaseMapper<SeckillSkuNotice> {

    /**
     * * 分页查询秒杀商品通知订阅内容
     *
     * @param pageParams 秒杀商品通知订阅分页参数
     * @param dto        秒杀商品通知订阅查询表单
     * @return 秒杀商品通知订阅分页结果
     */
    IPage<SeckillSkuNoticeVo> selectListByPage(@Param("page") Page<SeckillSkuNotice> pageParams, @Param("dto") SeckillSkuNoticeDto dto);

}
