package com.mall.coupon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.coupon.domain.dto.SeckillSkuRelationDto;
import com.mall.coupon.domain.entity.SeckillSkuRelation;
import com.mall.coupon.domain.vo.SeckillSkuRelationVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 秒杀活动商品关联 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
@Mapper
public interface SeckillSkuRelationMapper extends BaseMapper<SeckillSkuRelation> {

    /**
     * * 分页查询秒杀活动商品关联内容
     *
     * @param pageParams 秒杀活动商品关联分页参数
     * @param dto        秒杀活动商品关联查询表单
     * @return 秒杀活动商品关联分页结果
     */
    IPage<SeckillSkuRelationVo> selectListByPage(@Param("page") Page<SeckillSkuRelation> pageParams, @Param("dto") SeckillSkuRelationDto dto);

}
