package com.mall.coupon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.coupon.domain.dto.SkuFullReductionDto;
import com.mall.coupon.domain.entity.SkuFullReduction;
import com.mall.coupon.domain.vo.SkuFullReductionVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 商品满减信息 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
@Mapper
public interface SkuFullReductionMapper extends BaseMapper<SkuFullReduction> {

    /**
     * * 分页查询商品满减信息内容
     *
     * @param pageParams 商品满减信息分页参数
     * @param dto        商品满减信息查询表单
     * @return 商品满减信息分页结果
     */
    IPage<SkuFullReductionVo> selectListByPage(@Param("page") Page<SkuFullReduction> pageParams, @Param("dto") SkuFullReductionDto dto);

}
