package com.mall.coupon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.coupon.domain.dto.SkuLadderDto;
import com.mall.coupon.domain.entity.SkuLadder;
import com.mall.coupon.domain.vo.SkuLadderVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 商品阶梯价格 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
@Mapper
public interface SkuLadderMapper extends BaseMapper<SkuLadder> {

    /**
     * * 分页查询商品阶梯价格内容
     *
     * @param pageParams 商品阶梯价格分页参数
     * @param dto        商品阶梯价格查询表单
     * @return 商品阶梯价格分页结果
     */
    IPage<SkuLadderVo> selectListByPage(@Param("page") Page<SkuLadder> pageParams, @Param("dto") SkuLadderDto dto);

}
