package com.mall.coupon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.coupon.domain.dto.SpuBoundsDto;
import com.mall.coupon.domain.entity.SpuBounds;
import com.mall.coupon.domain.vo.SpuBoundsVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 商品spu积分设置 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
@Mapper
public interface SpuBoundsMapper extends BaseMapper<SpuBounds> {

    /**
     * * 分页查询商品spu积分设置内容
     *
     * @param pageParams 商品spu积分设置分页参数
     * @param dto        商品spu积分设置查询表单
     * @return 商品spu积分设置分页结果
     */
    IPage<SpuBoundsVo> selectListByPage(@Param("page") Page<SpuBounds> pageParams, @Param("dto") SpuBoundsDto dto);

}
