package com.mall.coupon.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.coupon.domain.dto.CouponHistoryDto;
import com.mall.coupon.domain.entity.CouponHistory;
import com.mall.coupon.domain.vo.CouponHistoryVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 优惠券领取历史记录 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
public interface CouponHistoryService extends IService<CouponHistory> {

    /**
     * 分页查询优惠券领取历史记录
     *
     * @return {@link CouponHistoryVo}
     */
    PageResult<CouponHistoryVo> getCouponHistoryPage(Page<CouponHistory> pageParams, CouponHistoryDto dto);

    /**
     * 添加优惠券领取历史记录
     *
     * @param dto {@link CouponHistoryDto} 添加表单
     */
    void addCouponHistory(CouponHistoryDto dto);

    /**
     * 更新优惠券领取历史记录
     *
     * @param dto {@link CouponHistoryDto} 更新表单
     */
    void updateCouponHistory(CouponHistoryDto dto);

    /**
     * 删除|批量删除优惠券领取历史记录类型
     *
     * @param ids 删除id列表
     */
    void deleteCouponHistory(List<Long> ids);
}
