package com.mall.coupon.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.coupon.domain.dto.CouponDto;
import com.mall.coupon.domain.entity.Coupon;
import com.mall.coupon.domain.vo.CouponVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 优惠券信息 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
public interface CouponService extends IService<Coupon> {

    /**
     * 分页查询优惠券信息
     *
     * @return {@link CouponVo}
     */
    PageResult<CouponVo> getCouponPage(Page<Coupon> pageParams, CouponDto dto);

    /**
     * 添加优惠券信息
     *
     * @param dto {@link CouponDto} 添加表单
     */
    void addCoupon(CouponDto dto);

    /**
     * 更新优惠券信息
     *
     * @param dto {@link CouponDto} 更新表单
     */
    void updateCoupon(CouponDto dto);

    /**
     * 删除|批量删除优惠券信息类型
     *
     * @param ids 删除id列表
     */
    void deleteCoupon(List<Long> ids);
}
