package com.mall.coupon.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.coupon.domain.dto.CouponSpuCategoryRelationDto;
import com.mall.coupon.domain.entity.CouponSpuCategoryRelation;
import com.mall.coupon.domain.vo.CouponSpuCategoryRelationVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 优惠券分类关联 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
public interface CouponSpuCategoryRelationService extends IService<CouponSpuCategoryRelation> {

    /**
     * 分页查询优惠券分类关联
     *
     * @return {@link CouponSpuCategoryRelationVo}
     */
    PageResult<CouponSpuCategoryRelationVo> getCouponSpuCategoryRelationPage(Page<CouponSpuCategoryRelation> pageParams, CouponSpuCategoryRelationDto dto);

    /**
     * 添加优惠券分类关联
     *
     * @param dto {@link CouponSpuCategoryRelationDto} 添加表单
     */
    void addCouponSpuCategoryRelation(CouponSpuCategoryRelationDto dto);

    /**
     * 更新优惠券分类关联
     *
     * @param dto {@link CouponSpuCategoryRelationDto} 更新表单
     */
    void updateCouponSpuCategoryRelation(CouponSpuCategoryRelationDto dto);

    /**
     * 删除|批量删除优惠券分类关联类型
     *
     * @param ids 删除id列表
     */
    void deleteCouponSpuCategoryRelation(List<Long> ids);
}
