package com.mall.coupon.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.coupon.domain.dto.CouponSpuRelationDto;
import com.mall.coupon.domain.entity.CouponSpuRelation;
import com.mall.coupon.domain.vo.CouponSpuRelationVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 优惠券与产品关联 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
public interface CouponSpuRelationService extends IService<CouponSpuRelation> {

    /**
     * 分页查询优惠券与产品关联
     *
     * @return {@link CouponSpuRelationVo}
     */
    PageResult<CouponSpuRelationVo> getCouponSpuRelationPage(Page<CouponSpuRelation> pageParams, CouponSpuRelationDto dto);

    /**
     * 添加优惠券与产品关联
     *
     * @param dto {@link CouponSpuRelationDto} 添加表单
     */
    void addCouponSpuRelation(CouponSpuRelationDto dto);

    /**
     * 更新优惠券与产品关联
     *
     * @param dto {@link CouponSpuRelationDto} 更新表单
     */
    void updateCouponSpuRelation(CouponSpuRelationDto dto);

    /**
     * 删除|批量删除优惠券与产品关联类型
     *
     * @param ids 删除id列表
     */
    void deleteCouponSpuRelation(List<Long> ids);
}
