package com.mall.coupon.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.coupon.domain.dto.HomeAdvDto;
import com.mall.coupon.domain.entity.HomeAdv;
import com.mall.coupon.domain.vo.HomeAdvVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 首页轮播广告 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
public interface HomeAdvService extends IService<HomeAdv> {

    /**
     * 分页查询首页轮播广告
     *
     * @return {@link HomeAdvVo}
     */
    PageResult<HomeAdvVo> getHomeAdvPage(Page<HomeAdv> pageParams, HomeAdvDto dto);

    /**
     * 添加首页轮播广告
     *
     * @param dto {@link HomeAdvDto} 添加表单
     */
    void addHomeAdv(HomeAdvDto dto);

    /**
     * 更新首页轮播广告
     *
     * @param dto {@link HomeAdvDto} 更新表单
     */
    void updateHomeAdv(HomeAdvDto dto);

    /**
     * 删除|批量删除首页轮播广告类型
     *
     * @param ids 删除id列表
     */
    void deleteHomeAdv(List<Long> ids);
}
