package com.mall.coupon.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.coupon.domain.dto.HomeSubjectDto;
import com.mall.coupon.domain.entity.HomeSubject;
import com.mall.coupon.domain.vo.HomeSubjectVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 首页专题表【jd首页下面很多专题，每个专题链接新的页面，展示专题商品信息】 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
public interface HomeSubjectService extends IService<HomeSubject> {

    /**
     * 分页查询首页专题表【jd首页下面很多专题，每个专题链接新的页面，展示专题商品信息】
     *
     * @return {@link HomeSubjectVo}
     */
    PageResult<HomeSubjectVo> getHomeSubjectPage(Page<HomeSubject> pageParams, HomeSubjectDto dto);

    /**
     * 添加首页专题表【jd首页下面很多专题，每个专题链接新的页面，展示专题商品信息】
     *
     * @param dto {@link HomeSubjectDto} 添加表单
     */
    void addHomeSubject(HomeSubjectDto dto);

    /**
     * 更新首页专题表【jd首页下面很多专题，每个专题链接新的页面，展示专题商品信息】
     *
     * @param dto {@link HomeSubjectDto} 更新表单
     */
    void updateHomeSubject(HomeSubjectDto dto);

    /**
     * 删除|批量删除首页专题表【jd首页下面很多专题，每个专题链接新的页面，展示专题商品信息】类型
     *
     * @param ids 删除id列表
     */
    void deleteHomeSubject(List<Long> ids);
}
