package com.mall.coupon.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.coupon.domain.dto.HomeSubjectSpuDto;
import com.mall.coupon.domain.entity.HomeSubjectSpu;
import com.mall.coupon.domain.vo.HomeSubjectSpuVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 专题商品 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
public interface HomeSubjectSpuService extends IService<HomeSubjectSpu> {

    /**
     * 分页查询专题商品
     *
     * @return {@link HomeSubjectSpuVo}
     */
    PageResult<HomeSubjectSpuVo> getHomeSubjectSpuPage(Page<HomeSubjectSpu> pageParams, HomeSubjectSpuDto dto);

    /**
     * 添加专题商品
     *
     * @param dto {@link HomeSubjectSpuDto} 添加表单
     */
    void addHomeSubjectSpu(HomeSubjectSpuDto dto);

    /**
     * 更新专题商品
     *
     * @param dto {@link HomeSubjectSpuDto} 更新表单
     */
    void updateHomeSubjectSpu(HomeSubjectSpuDto dto);

    /**
     * 删除|批量删除专题商品类型
     *
     * @param ids 删除id列表
     */
    void deleteHomeSubjectSpu(List<Long> ids);
}
