package com.mall.coupon.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.coupon.domain.dto.MemberPriceDto;
import com.mall.coupon.domain.entity.MemberPrice;
import com.mall.coupon.domain.vo.MemberPriceVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 商品会员价格 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
public interface MemberPriceService extends IService<MemberPrice> {

    /**
     * 分页查询商品会员价格
     *
     * @return {@link MemberPriceVo}
     */
    PageResult<MemberPriceVo> getMemberPricePage(Page<MemberPrice> pageParams, MemberPriceDto dto);

    /**
     * 添加商品会员价格
     *
     * @param dto {@link MemberPriceDto} 添加表单
     */
    void addMemberPrice(MemberPriceDto dto);

    /**
     * 更新商品会员价格
     *
     * @param dto {@link MemberPriceDto} 更新表单
     */
    void updateMemberPrice(MemberPriceDto dto);

    /**
     * 删除|批量删除商品会员价格类型
     *
     * @param ids 删除id列表
     */
    void deleteMemberPrice(List<Long> ids);
}
