package com.mall.coupon.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.coupon.domain.dto.SeckillPromotionDto;
import com.mall.coupon.domain.entity.SeckillPromotion;
import com.mall.coupon.domain.vo.SeckillPromotionVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 秒杀活动 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
public interface SeckillPromotionService extends IService<SeckillPromotion> {

    /**
     * 分页查询秒杀活动
     *
     * @return {@link SeckillPromotionVo}
     */
    PageResult<SeckillPromotionVo> getSeckillPromotionPage(Page<SeckillPromotion> pageParams, SeckillPromotionDto dto);

    /**
     * 添加秒杀活动
     *
     * @param dto {@link SeckillPromotionDto} 添加表单
     */
    void addSeckillPromotion(SeckillPromotionDto dto);

    /**
     * 更新秒杀活动
     *
     * @param dto {@link SeckillPromotionDto} 更新表单
     */
    void updateSeckillPromotion(SeckillPromotionDto dto);

    /**
     * 删除|批量删除秒杀活动类型
     *
     * @param ids 删除id列表
     */
    void deleteSeckillPromotion(List<Long> ids);
}
