package com.mall.coupon.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.coupon.domain.dto.SeckillSessionDto;
import com.mall.coupon.domain.entity.SeckillSession;
import com.mall.coupon.domain.vo.SeckillSessionVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 秒杀活动场次 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
public interface SeckillSessionService extends IService<SeckillSession> {

    /**
     * 分页查询秒杀活动场次
     *
     * @return {@link SeckillSessionVo}
     */
    PageResult<SeckillSessionVo> getSeckillSessionPage(Page<SeckillSession> pageParams, SeckillSessionDto dto);

    /**
     * 添加秒杀活动场次
     *
     * @param dto {@link SeckillSessionDto} 添加表单
     */
    void addSeckillSession(SeckillSessionDto dto);

    /**
     * 更新秒杀活动场次
     *
     * @param dto {@link SeckillSessionDto} 更新表单
     */
    void updateSeckillSession(SeckillSessionDto dto);

    /**
     * 删除|批量删除秒杀活动场次类型
     *
     * @param ids 删除id列表
     */
    void deleteSeckillSession(List<Long> ids);
}
