package com.mall.coupon.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.coupon.domain.dto.SeckillSkuNoticeDto;
import com.mall.coupon.domain.entity.SeckillSkuNotice;
import com.mall.coupon.domain.vo.SeckillSkuNoticeVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 秒杀商品通知订阅 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
public interface SeckillSkuNoticeService extends IService<SeckillSkuNotice> {

    /**
     * 分页查询秒杀商品通知订阅
     *
     * @return {@link SeckillSkuNoticeVo}
     */
    PageResult<SeckillSkuNoticeVo> getSeckillSkuNoticePage(Page<SeckillSkuNotice> pageParams, SeckillSkuNoticeDto dto);

    /**
     * 添加秒杀商品通知订阅
     *
     * @param dto {@link SeckillSkuNoticeDto} 添加表单
     */
    void addSeckillSkuNotice(SeckillSkuNoticeDto dto);

    /**
     * 更新秒杀商品通知订阅
     *
     * @param dto {@link SeckillSkuNoticeDto} 更新表单
     */
    void updateSeckillSkuNotice(SeckillSkuNoticeDto dto);

    /**
     * 删除|批量删除秒杀商品通知订阅类型
     *
     * @param ids 删除id列表
     */
    void deleteSeckillSkuNotice(List<Long> ids);
}
