package com.mall.coupon.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.coupon.domain.dto.SeckillSkuRelationDto;
import com.mall.coupon.domain.entity.SeckillSkuRelation;
import com.mall.coupon.domain.vo.SeckillSkuRelationVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 秒杀活动商品关联 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
public interface SeckillSkuRelationService extends IService<SeckillSkuRelation> {

    /**
     * 分页查询秒杀活动商品关联
     *
     * @return {@link SeckillSkuRelationVo}
     */
    PageResult<SeckillSkuRelationVo> getSeckillSkuRelationPage(Page<SeckillSkuRelation> pageParams, SeckillSkuRelationDto dto);

    /**
     * 添加秒杀活动商品关联
     *
     * @param dto {@link SeckillSkuRelationDto} 添加表单
     */
    void addSeckillSkuRelation(SeckillSkuRelationDto dto);

    /**
     * 更新秒杀活动商品关联
     *
     * @param dto {@link SeckillSkuRelationDto} 更新表单
     */
    void updateSeckillSkuRelation(SeckillSkuRelationDto dto);

    /**
     * 删除|批量删除秒杀活动商品关联类型
     *
     * @param ids 删除id列表
     */
    void deleteSeckillSkuRelation(List<Long> ids);
}
