package com.mall.coupon.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.coupon.domain.dto.SkuFullReductionDto;
import com.mall.coupon.domain.entity.SkuFullReduction;
import com.mall.coupon.domain.vo.SkuFullReductionVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 商品满减信息 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
public interface SkuFullReductionService extends IService<SkuFullReduction> {

    /**
     * 分页查询商品满减信息
     *
     * @return {@link SkuFullReductionVo}
     */
    PageResult<SkuFullReductionVo> getSkuFullReductionPage(Page<SkuFullReduction> pageParams, SkuFullReductionDto dto);

    /**
     * 添加商品满减信息
     *
     * @param dto {@link SkuFullReductionDto} 添加表单
     */
    void addSkuFullReduction(SkuFullReductionDto dto);

    /**
     * 更新商品满减信息
     *
     * @param dto {@link SkuFullReductionDto} 更新表单
     */
    void updateSkuFullReduction(SkuFullReductionDto dto);

    /**
     * 删除|批量删除商品满减信息类型
     *
     * @param ids 删除id列表
     */
    void deleteSkuFullReduction(List<Long> ids);
}
