package com.mall.coupon.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.coupon.domain.dto.SkuLadderDto;
import com.mall.coupon.domain.entity.SkuLadder;
import com.mall.coupon.domain.vo.SkuLadderVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 商品阶梯价格 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
public interface SkuLadderService extends IService<SkuLadder> {

    /**
     * 分页查询商品阶梯价格
     *
     * @return {@link SkuLadderVo}
     */
    PageResult<SkuLadderVo> getSkuLadderPage(Page<SkuLadder> pageParams, SkuLadderDto dto);

    /**
     * 添加商品阶梯价格
     *
     * @param dto {@link SkuLadderDto} 添加表单
     */
    void addSkuLadder(SkuLadderDto dto);

    /**
     * 更新商品阶梯价格
     *
     * @param dto {@link SkuLadderDto} 更新表单
     */
    void updateSkuLadder(SkuLadderDto dto);

    /**
     * 删除|批量删除商品阶梯价格类型
     *
     * @param ids 删除id列表
     */
    void deleteSkuLadder(List<Long> ids);
}
