package com.mall.coupon.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.coupon.domain.dto.SpuBoundsDto;
import com.mall.coupon.domain.entity.SpuBounds;
import com.mall.coupon.domain.vo.SpuBoundsVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 商品spu积分设置 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-06 11:15:40
 */
public interface SpuBoundsService extends IService<SpuBounds> {

    /**
     * 分页查询商品spu积分设置
     *
     * @return {@link SpuBoundsVo}
     */
    PageResult<SpuBoundsVo> getSpuBoundsPage(Page<SpuBounds> pageParams, SpuBoundsDto dto);

    /**
     * 添加商品spu积分设置
     *
     * @param dto {@link SpuBoundsDto} 添加表单
     */
    void addSpuBounds(SpuBoundsDto dto);

    /**
     * 更新商品spu积分设置
     *
     * @param dto {@link SpuBoundsDto} 更新表单
     */
    void updateSpuBounds(SpuBoundsDto dto);

    /**
     * 删除|批量删除商品spu积分设置类型
     *
     * @param ids 删除id列表
     */
    void deleteSpuBounds(List<Long> ids);
}
