package com.mall.product.domain.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.util.List;

@Getter
@Setter
@Accessors(chain = true)
@TableName("pms_category")
@Schema(name = "Category对象", title = "商品三级分类", description = "商品三级分类的实体类对象")
public class CategoryEntity {

    @Schema(name = "catId", title = "分类id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long catId;

    @Schema(name = "name", title = "分类名称")
    private String name;

    @Schema(name = "parentCid", title = "父分类id")
    private Long parentCid;

    @Schema(name = "catLevel", title = "层级")
    private Integer catLevel;

    @Schema(name = "showStatus", title = "是否显示[0-不显示，1显示]")
    @TableLogic(value = "1", delval = "0")
    private Integer showStatus;

    @Schema(name = "sort", title = "排序")
    private Integer sort;

    @Schema(name = "icon", title = "图标地址")
    private String icon;

    @Schema(name = "productUnit", title = "计量单位")
    private String productUnit;

    @Schema(name = "productCount", title = "商品数量")
    private Integer productCount;

    @Schema(name = "children", title = "子列表")
    @TableField(exist = false)
    private List<CategoryEntity> children = List.of();

}